Skip to content

User

Get current authenticated user profile.

Get current user

Request

Retrieve the authenticated user's profile and configuration.

Security
bearerAuth
GET
/id/api/users/current
curl -i -X GET \
  https://leadgen.grinfi.io/id/api/users/current \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Current user profile.

Bodyapplication/json
uuidstring
idinteger
first_namestring
Example:"John"
last_namestring
Example:"Doe"
emailstring, (email)
Example:"john@example.com"
email_statusstring
image_urlstring or null
timezonestring
Example:"Europe/Berlin"
configobject
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "string", "id": 0, "first_name": "John", "last_name": "Doe", "email": "john@example.com", "email_status": "string", "image_url": "string", "timezone": "Europe/Berlin", "config": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }